dim invApp as Application
dim irx as TransientGeometry
dim storePath
Dim PI
dim sketchDic as object

Private Function CreateSketch1_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_1",sketchNormal
set feat3=createSketch(partCompDef,"Skizze_1",0,0,0,1,0,0,0,1,0)
set lastPoint=AddSketchLine(feat3,-8.2,7,0,-8.2,-7,0,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat3,-8.2,-7,0,7.9,-7,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,7.9,-7,0,7.9,7,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,7.9,7,0,-8.2,7,0,firstPoint,lastPoint,2)
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,5,-5.5,0),0.8
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,5,5.5,0),0.8
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,-1.7,-5.5,0),0.8
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,-1.7,5.5,0),0.8
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,-6.7,-5.5,0),0.8
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,-6.7,5.5,0),0.8
feat3.Profiles.AddForSolid
Set CreateSketch1_3=feat3
End Function

Private Function CreateSketch1_6(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_2",sketchNormal
set feat6=createSketch(partCompDef,"Skizze_2",0,0,12.7,1,0,12.7,0,1,12.7)
set lastPoint=AddSketchLine(feat6,-8.2,4.3,12.7,-6.7,4.3,12.7,firstPoint,lastPoint,1)
set lastPoint=AddSketchArc(feat6,-6.7,4.3,12.7,-5.8514718625761,4.6514718625761,12.7,-5.5,5.5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat6,-5.5,5.5,12.7,-5.5,7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat6,-5.5,7,12.7,3.8,7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat6,3.8,7,12.7,3.8,5.5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat6,3.8,5.5,12.7,5,4.3,12.7,6.2,5.5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat6,6.2,5.5,12.7,6.2,7.03,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat6,6.2,7.03,12.7,-8.2,7.03,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat6,-8.2,7.03,12.7,-8.2,4.3,12.7,firstPoint,lastPoint,2)
feat6.Profiles.AddForSolid
Set CreateSketch1_6=feat6
End Function

Private Function CreateSketch1_7(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_3",sketchNormal
set feat7=createSketch(partCompDef,"Skizze_3",0,0,12.7,1,0,12.7,0,1,12.7)
set lastPoint=AddSketchLine(feat7,-8.2,-4.3,12.7,-8.2,-7.03,12.7,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat7,-8.2,-7.03,12.7,6.2,-7.03,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat7,6.2,-7.03,12.7,6.2,-5.5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat7,6.2,-5.5,12.7,5,-4.3,12.7,3.8,-5.5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat7,3.8,-5.5,12.7,3.8,-7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat7,3.8,-7,12.7,-5.5,-7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat7,-5.5,-7,12.7,-5.5,-5.5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat7,-5.5,-5.5,12.7,-5.8514718625761,-4.6514718625761,12.7,-6.7,-4.3,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat7,-6.7,-4.3,12.7,-8.2,-4.3,12.7,firstPoint,lastPoint,2)
feat7.Profiles.AddForSolid
Set CreateSketch1_7=feat7
End Function

Private Function CreateSketch1_8(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,-1)
sketchDic.add "Skizze_6",sketchNormal
set feat8=createSketch(partCompDef,"Skizze_6",-8.2,7,0,-7.2,7,0,-8.2,6,0)
set lastPoint=AddSketchLine(feat8,0,7,0,2.5,7,0,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat8,2.5,7,0,2.5,-7,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat8,2.5,-7,0,0,-7,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat8,0,-7,0,0,7,0,firstPoint,lastPoint,2)
feat8.Profiles.AddForSolid
Set CreateSketch1_8=feat8
End Function

Private Function CreateSketch1_12(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_4",sketchNormal
set feat12=createSketch(partCompDef,"Skizze_4",-8.2,-7,0,-7.2,-7,0,-8.2,-7,1)
set lastPoint=AddSketchLine(feat12,0,-7,12.7,0,-7,11.4,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat12,0,-7,11.4,1.2,-7,11.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat12,1.2,-7,11.4,1.2,-7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat12,1.2,-7,12.7,0,-7,12.7,firstPoint,lastPoint,2)
feat12.Profiles.AddForSolid
Set CreateSketch1_12=feat12
End Function

Private Function CreateSketch1_14(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_5",sketchNormal
set feat14=createSketch(partCompDef,"Skizze_5",0,0,12.7,1,0,12.7,0,1,12.7)
set lastPoint=AddSketchLine(feat14,0,-7,12.7,1.2,-7,12.7,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat14,1.2,-7,12.7,1.2,7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat14,1.2,7,12.7,0,7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat14,0,7,12.7,0,-7,12.7,firstPoint,lastPoint,2)
feat14.Profiles.AddForSolid
Set CreateSketch1_14=feat14
End Function

Private Function CreateSketch1_16(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_7",sketchNormal
set feat16=createSketch(partCompDef,"Skizze_7",-8.2,7,0,-7.2,7,0,-8.2,7,-1)
set lastPoint=AddSketchLine(feat16,0,7,12.7,1.2,7,12.7,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat16,1.2,7,12.7,1.2,7,11.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat16,1.2,7,11.4,0,7,11.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat16,0,7,11.4,0,7,12.7,firstPoint,lastPoint,2)
feat16.Profiles.AddForSolid
Set CreateSketch1_16=feat16
End Function

Private Function CreateSketch1_18(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_8",sketchNormal
set feat18=createSketch(partCompDef,"Skizze_8",0,0,12.7,1,0,12.7,0,1,12.7)
feat18.SketchCircles.AddByCenterRadius convertToSketchSpace(feat18,0.6,5.5,12.7),0.5
feat18.Profiles.AddForSolid
Set CreateSketch1_18=feat18
End Function

Private Function CreateSketch1_19(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_9",sketchNormal
set feat19=createSketch(partCompDef,"Skizze_9",0,0,12.7,1,0,12.7,0,1,12.7)
feat19.SketchCircles.AddByCenterRadius convertToSketchSpace(feat19,0.6,-5.5,12.7),0.5
feat19.Profiles.AddForSolid
Set CreateSketch1_19=feat19
End Function

Private Function CreateSketch1_22(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_10",sketchNormal
set feat22=createSketch(partCompDef,"Skizze_10",0.6,5.5,12.68,1.6,5.5,12.68,0.6,6.5,12.68)
set lastPoint=AddSketchLine(feat22,0.3,5.6732050807569,12.68,0.3,5.3267949192431,12.68,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat22,0.3,5.3267949192431,12.68,0.6,5.1535898384862,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat22,0.6,5.1535898384862,12.68,0.9,5.3267949192431,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat22,0.9,5.3267949192431,12.68,0.9,5.6732050807569,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat22,0.9,5.6732050807569,12.68,0.6,5.8464101615138,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat22,0.6,5.8464101615138,12.68,0.3,5.6732050807569,12.68,firstPoint,lastPoint,2)
feat22.Profiles.AddForSolid
Set CreateSketch1_22=feat22
End Function

Private Function CreateSketch1_23(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_11",sketchNormal
set feat23=createSketch(partCompDef,"Skizze_11",0.6,-5.5,12.68,1.6,-5.5,12.68,0.6,-4.5,12.68)
set lastPoint=AddSketchLine(feat23,0.3,-5.3267949192431,12.68,0.3,-5.6732050807569,12.68,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat23,0.3,-5.6732050807569,12.68,0.6,-5.8464101615138,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat23,0.6,-5.8464101615138,12.68,0.9,-5.6732050807569,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat23,0.9,-5.6732050807569,12.68,0.9,-5.3267949192431,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat23,0.9,-5.3267949192431,12.68,0.6,-5.1535898384862,12.68,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat23,0.6,-5.1535898384862,12.68,0.3,-5.3267949192431,12.68,firstPoint,lastPoint,2)
feat23.Profiles.AddForSolid
Set CreateSketch1_23=feat23
End Function

Private Function CreateSketch1_27(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_12",sketchNormal
set feat27=createSketch(partCompDef,"Skizze_12",7.9,0,0,7.9,0,-1,7.9,1,0)
feat27.SketchCircles.AddByCenterRadius convertToSketchSpace(feat27,7.9,0,6.7),5.45
feat27.Profiles.AddForSolid
Set CreateSketch1_27=feat27
End Function

Private Function CreateSketch1_29(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_13",sketchNormal
set feat29=createSketch(partCompDef,"Skizze_13",7.9,-7,0,7.9,-6,0,7.9,-7,1)
feat29.SketchCircles.AddByCenterRadius convertToSketchSpace(feat29,7.9,-6,11.7),0.8
feat29.Profiles.AddForSolid
Set CreateSketch1_29=feat29
End Function

Private Function CreateSketch1_30(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_14",sketchNormal
set feat30=createSketch(partCompDef,"Skizze_14",7.9,-7,0,7.9,-6,0,7.9,-7,1)
feat30.SketchCircles.AddByCenterRadius convertToSketchSpace(feat30,7.9,6,11.7),0.8
feat30.Profiles.AddForSolid
Set CreateSketch1_30=feat30
End Function

Private Function CreateSketch1_31(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_15",sketchNormal
set feat31=createSketch(partCompDef,"Skizze_15",7.9,-7,0,7.9,-6,0,7.9,-7,1)
feat31.SketchCircles.AddByCenterRadius convertToSketchSpace(feat31,7.9,6,1),0.8
feat31.Profiles.AddForSolid
Set CreateSketch1_31=feat31
End Function

Private Function CreateSketch1_32(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_16",sketchNormal
set feat32=createSketch(partCompDef,"Skizze_16",7.9,-7,0,7.9,-6,0,7.9,-7,1)
feat32.SketchCircles.AddByCenterRadius convertToSketchSpace(feat32,7.9,-6,1),0.8
feat32.Profiles.AddForSolid
Set CreateSketch1_32=feat32
End Function

Private Function CreateSketch1_38(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_17",sketchNormal
set feat38=createSketch(partCompDef,"Skizze_17",18.6,0,0,18.6,0,-1,18.6,1,0)
set lastPoint=AddSketchLine(feat38,18.6,-7,12.7,18.6,-7,0,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat38,18.6,-7,0,18.6,7,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat38,18.6,7,0,18.6,7,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat38,18.6,7,12.7,18.6,-7,12.7,firstPoint,lastPoint,2)
feat38.Profiles.AddForSolid
Set CreateSketch1_38=feat38
End Function

Private Function CreateSketch1_40(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_18",sketchNormal
set feat40=createSketch(partCompDef,"Skizze_18",20.6,-7,0,20.6,-6,0,20.6,-7,1)
set lastPoint=AddSketchLine(feat40,20.6,-7.2,-0.2,20.6,7.2,-0.2,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat40,20.6,7.2,-0.2,20.6,7.2,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,7.2,12.9,20.6,-7.2,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,-7.2,12.9,20.6,-7.2,-0.2,firstPoint,lastPoint,2)
set lastPoint=AddSketchLine(feat40,20.6,-7,2,20.6,-6,2,firstPoint,lastPoint,1)
set lastPoint=AddSketchArc(feat40,20.6,-6,2,20.6,-5.2928932188135,1.7071067811865,20.6,-5,1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,-5,1,20.6,-5,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,-5,0,20.6,5,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,5,0,20.6,5,1,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat40,20.6,5,1,20.6,5.2928932188135,1.7071067811865,20.6,6,2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,6,2,20.6,7,2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,7,2,20.6,7,10.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,7,10.7,20.6,6,10.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat40,20.6,6,10.7,20.6,5.2928932188135,10.992893218813,20.6,5,11.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,5,11.7,20.6,5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,5,12.7,20.6,-5,12.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,-5,12.7,20.6,-5,11.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat40,20.6,-5,11.7,20.6,-5.2928932188135,10.992893218813,20.6,-6,10.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,-6,10.7,20.6,-7,10.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat40,20.6,-7,10.7,20.6,-7,2,firstPoint,lastPoint,2)
feat40.Profiles.AddForSolid
Set CreateSketch1_40=feat40
End Function

Private Function CreateSketch1_43(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_19",sketchNormal
set feat43=createSketch(partCompDef,"Skizze_19",19,0,0,19,0,-1,19,1,0)
feat43.SketchCircles.AddByCenterRadius convertToSketchSpace(feat43,19,-6,1),0.95
feat43.Profiles.AddForSolid
Set CreateSketch1_43=feat43
End Function

Private Function CreateSketch1_45(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_20",sketchNormal
set feat45=createSketch(partCompDef,"Skizze_20",19,0,0,19,0,-1,19,1,0)
feat45.SketchCircles.AddByCenterRadius convertToSketchSpace(feat45,19,6,1),0.95
feat45.Profiles.AddForSolid
Set CreateSketch1_45=feat45
End Function

Private Function CreateSketch1_47(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_21",sketchNormal
set feat47=createSketch(partCompDef,"Skizze_21",19,0,0,19,0,-1,19,1,0)
feat47.SketchCircles.AddByCenterRadius convertToSketchSpace(feat47,19,-6,11.7),0.95
feat47.Profiles.AddForSolid
Set CreateSketch1_47=feat47
End Function

Private Function CreateSketch1_49(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_22",sketchNormal
set feat49=createSketch(partCompDef,"Skizze_22",19,0,0,19,0,-1,19,1,0)
feat49.SketchCircles.AddByCenterRadius convertToSketchSpace(feat49,19,6,11.7),0.95
feat49.Profiles.AddForSolid
Set CreateSketch1_49=feat49
End Function

Private Function CreateSketch1_51(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_23",sketchNormal
set feat51=createSketch(partCompDef,"Skizze_23",20.6,-6,1,20.6,-6,0,20.6,-5,1)
set lastPoint=AddSketchLine(feat51,20.6,-5.6535898384862,1.6,20.6,-6.3464101615138,1.6,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat51,20.6,-6.3464101615138,1.6,20.6,-6.6928203230276,1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat51,20.6,-6.6928203230276,1,20.6,-6.3464101615138,0.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat51,20.6,-6.3464101615138,0.4,20.6,-5.6535898384862,0.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat51,20.6,-5.6535898384862,0.4,20.6,-5.3071796769724,1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat51,20.6,-5.3071796769724,1,20.6,-5.6535898384862,1.6,firstPoint,lastPoint,2)
feat51.Profiles.AddForSolid
Set CreateSketch1_51=feat51
End Function

Private Function CreateSketch1_53(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_24",sketchNormal
set feat53=createSketch(partCompDef,"Skizze_24",20.6,-6,11.7,20.6,-6,10.7,20.6,-5,11.7)
set lastPoint=AddSketchLine(feat53,20.6,-5.6535898384862,12.3,20.6,-6.3464101615138,12.3,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat53,20.6,-6.3464101615138,12.3,20.6,-6.6928203230276,11.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,20.6,-6.6928203230276,11.7,20.6,-6.3464101615138,11.1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,20.6,-6.3464101615138,11.1,20.6,-5.6535898384862,11.1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,20.6,-5.6535898384862,11.1,20.6,-5.3071796769724,11.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,20.6,-5.3071796769724,11.7,20.6,-5.6535898384862,12.3,firstPoint,lastPoint,2)
feat53.Profiles.AddForSolid
Set CreateSketch1_53=feat53
End Function

Private Function CreateSketch1_55(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_25",sketchNormal
set feat55=createSketch(partCompDef,"Skizze_25",20.6,6,11.7,20.6,6,10.7,20.6,7,11.7)
set lastPoint=AddSketchLine(feat55,20.6,6.3464101615138,12.3,20.6,5.6535898384862,12.3,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat55,20.6,5.6535898384862,12.3,20.6,5.3071796769724,11.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,20.6,5.3071796769724,11.7,20.6,5.6535898384862,11.1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,20.6,5.6535898384862,11.1,20.6,6.3464101615138,11.1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,20.6,6.3464101615138,11.1,20.6,6.6928203230276,11.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,20.6,6.6928203230276,11.7,20.6,6.3464101615138,12.3,firstPoint,lastPoint,2)
feat55.Profiles.AddForSolid
Set CreateSketch1_55=feat55
End Function

Private Function CreateSketch1_57(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_26",sketchNormal
set feat57=createSketch(partCompDef,"Skizze_26",20.6,6,1,20.6,6,0,20.6,7,1)
set lastPoint=AddSketchLine(feat57,20.6,6.3464101615138,1.6,20.6,5.6535898384862,1.6,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat57,20.6,5.6535898384862,1.6,20.6,5.3071796769724,1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat57,20.6,5.3071796769724,1,20.6,5.6535898384862,0.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat57,20.6,5.6535898384862,0.4,20.6,6.3464101615138,0.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat57,20.6,6.3464101615138,0.4,20.6,6.6928203230276,1,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat57,20.6,6.6928203230276,1,20.6,6.3464101615138,1.6,firstPoint,lastPoint,2)
feat57.Profiles.AddForSolid
Set CreateSketch1_57=feat57
End Function

Private Function CreateSketch1_59(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_27",sketchNormal
set feat59=createSketch(partCompDef,"Skizze_27",-8.2,7,0,-8.2,6,0,-8.2,7,1)
feat59.SketchCircles.AddByCenterRadius convertToSketchSpace(feat59,-8.2,0,6.7),5.15
feat59.Profiles.AddForSolid
Set CreateSketch1_59=feat59
End Function

Private Function CreateSketch1_61(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_28",sketchNormal
set feat61=createSketch(partCompDef,"Skizze_28",-7.2,0,6.7,-7.2,-1,6.7,-7.2,0,7.7)
feat61.SketchCircles.AddByCenterRadius convertToSketchSpace(feat61,-7.2,0,6.7),5.15
feat61.Profiles.AddForSolid
Set CreateSketch1_61=feat61
End Function

Private Function CreateSketch1_63(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_29",sketchNormal
set feat63=createSketch(partCompDef,"Skizze_29",-8.21,0,6.7,-8.21,-1,6.7,-8.21,0,7.7)
set lastPoint=AddSketchLine(feat63,-8.21,5.5,1.45,-8.21,-5.5,1.45,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat63,-8.21,-5.5,1.45,-8.21,-5.5,11.95,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat63,-8.21,-5.5,11.95,-8.21,5.5,11.95,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat63,-8.21,5.5,11.95,-8.21,5.5,1.45,firstPoint,lastPoint,2)
feat63.Profiles.AddForSolid
Set CreateSketch1_63=feat63
End Function

Private Function CreateSketch1_66(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_30",sketchNormal
set feat66=createSketch(partCompDef,"Skizze_30",0,0,12.7,1,0,12.7,0,1,12.7)
feat66.SketchCircles.AddByCenterRadius convertToSketchSpace(feat66,19.6,0,12.7),0.6
feat66.Profiles.AddForSolid
Set CreateSketch1_66=feat66
End Function

Private Function CreateSketch1_68(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_31",sketchNormal
set feat68=createSketch(partCompDef,"Skizze_31",19.6,0,12.9,20.6,0,12.9,19.6,1,12.9)
set lastPoint=AddSketchLine(feat68,19.15,1.7763568394003e-016,12.9,19.210288568297,-0.225,12.9,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat68,19.210288568297,-0.225,12.9,19.375,-0.389711431703,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.375,-0.389711431703,12.9,19.6,-0.45,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.6,-0.45,12.9,19.825,-0.389711431703,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.825,-0.389711431703,12.9,19.989711431703,-0.225,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.989711431703,-0.225,12.9,20.05,-8.8817841970013e-017,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,20.05,-8.8817841970013e-017,12.9,19.989711431703,0.225,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.989711431703,0.225,12.9,19.825,0.389711431703,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.825,0.389711431703,12.9,19.6,0.45,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.6,0.45,12.9,19.375,0.389711431703,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.375,0.389711431703,12.9,19.210288568297,0.225,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat68,19.210288568297,0.225,12.9,19.15,1.7763568394003e-016,12.9,firstPoint,lastPoint,2)
feat68.Profiles.AddForSolid
Set CreateSketch1_68=feat68
End Function

Private Function CreateSketch1_70(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_33",sketchNormal
set feat70=createSketch(partCompDef,"Skizze_33",19.6,0,12.9,20.6,0,12.9,19.6,1,12.9)
set lastPoint=AddSketchLine(feat70,19.4,0.11547005383793,12.9,19.4,-0.11547005383793,12.9,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat70,19.4,-0.11547005383793,12.9,19.6,-0.23094010767585,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat70,19.6,-0.23094010767585,12.9,19.8,-0.11547005383793,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat70,19.8,-0.11547005383793,12.9,19.8,0.11547005383793,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat70,19.8,0.11547005383793,12.9,19.6,0.23094010767585,12.9,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat70,19.6,0.23094010767585,12.9,19.4,0.11547005383793,12.9,firstPoint,lastPoint,2)
feat70.Profiles.AddForSolid
Set CreateSketch1_70=feat70
End Function

Private Function CreateSketch1_72(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_32",sketchNormal
set feat72=createSketch(partCompDef,"Skizze_32",-1.8498821867886e-018,6.99,12.69,-1.8498821867886e-018,5.99,12.69,1,6.99,12.69)
feat72.SketchCircles.AddByCenterRadius convertToSketchSpace(feat72,0.6,4.49,12.69),0.25
feat72.Profiles.AddForSolid
Set CreateSketch1_72=feat72
End Function

Private Function CreateSketch1_74(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_34",sketchNormal
set feat74=createSketch(partCompDef,"Skizze_34",-10.91,5.5,1.45,-10.91,4.5,1.45,-10.91,5.5,2.45)
feat74.SketchCircles.AddByCenterRadius convertToSketchSpace(feat74,-10.91,0,9.975),0.9
feat74.Profiles.AddForSolid
Set CreateSketch1_74=feat74
End Function

Private Function CreateSketch1_75(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_35",sketchNormal
set feat75=createSketch(partCompDef,"Skizze_35",-10.91,5.5,1.45,-10.91,4.5,1.45,-10.91,5.5,2.45)
feat75.SketchCircles.AddByCenterRadius convertToSketchSpace(feat75,-10.91,0,3.425),0.9
feat75.Profiles.AddForSolid
Set CreateSketch1_75=feat75
End Function

Private Function CreateSketch1_76(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_36",sketchNormal
set feat76=createSketch(partCompDef,"Skizze_36",-10.91,5.5,1.45,-10.91,4.5,1.45,-10.91,5.5,2.45)
feat76.SketchCircles.AddByCenterRadius convertToSketchSpace(feat76,-10.91,3.275,6.7),0.6
feat76.Profiles.AddForSolid
Set CreateSketch1_76=feat76
End Function

Private Function CreateSketch1_77(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_37",sketchNormal
set feat77=createSketch(partCompDef,"Skizze_37",-10.91,5.5,1.45,-10.91,4.5,1.45,-10.91,5.5,2.45)
feat77.SketchCircles.AddByCenterRadius convertToSketchSpace(feat77,-10.91,-3.275,6.7),0.6
feat77.Profiles.AddForSolid
Set CreateSketch1_77=feat77
End Function

Private Function CreateSketch1_78(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_38",sketchNormal
set feat78=createSketch(partCompDef,"Skizze_38",-1.8498821867886e-018,6.99,12.69,-1.8498821867886e-018,5.99,12.69,1,6.99,12.69)
feat78.SketchCircles.AddByCenterRadius convertToSketchSpace(feat78,0.6,-4.51,12.69),0.25
feat78.Profiles.AddForSolid
Set CreateSketch1_78=feat78
End Function

Private Function CreateSketch1_84(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_39",sketchNormal
set feat84=createSketch(partCompDef,"Skizze_39",-10.89,0,9.975,-10.89,-1,9.975,-10.89,0,10.975)
set lastPoint=AddSketchLine(feat84,-10.89,0.3,10.148205080757,-10.89,0.3,9.8017949192431,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat84,-10.89,0.3,9.8017949192431,-10.89,0,9.6285898384862,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat84,-10.89,0,9.6285898384862,-10.89,-0.3,9.8017949192431,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat84,-10.89,-0.3,9.8017949192431,-10.89,-0.3,10.148205080757,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat84,-10.89,-0.3,10.148205080757,-10.89,0,10.321410161514,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat84,-10.89,0,10.321410161514,-10.89,0.3,10.148205080757,firstPoint,lastPoint,2)
feat84.Profiles.AddForSolid
Set CreateSketch1_84=feat84
End Function

Private Function CreateSketch1_86(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_40",sketchNormal
set feat86=createSketch(partCompDef,"Skizze_40",-10.89,0,3.425,-10.89,-1,3.425,-10.89,0,4.425)
set lastPoint=AddSketchLine(feat86,-10.89,0.3,3.5982050807569,-10.89,0.3,3.2517949192431,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat86,-10.89,0.3,3.2517949192431,-10.89,0,3.0785898384862,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat86,-10.89,0,3.0785898384862,-10.89,-0.3,3.2517949192431,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat86,-10.89,-0.3,3.2517949192431,-10.89,-0.3,3.5982050807569,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat86,-10.89,-0.3,3.5982050807569,-10.89,0,3.7714101615138,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat86,-10.89,0,3.7714101615138,-10.89,0.3,3.5982050807569,firstPoint,lastPoint,2)
feat86.Profiles.AddForSolid
Set CreateSketch1_86=feat86
End Function

Private Function CreateSketch1_88(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_41",sketchNormal
set feat88=createSketch(partCompDef,"Skizze_41",-10.31,-3.275,6.7,-10.31,-4.275,6.7,-10.31,-3.275,7.7)
feat88.SketchCircles.AddByCenterRadius convertToSketchSpace(feat88,-10.31,-3.275,6.7),0.5
feat88.Profiles.AddForSolid
Set CreateSketch1_88=feat88
End Function

Private Function CreateSketch1_90(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_42",sketchNormal
set feat90=createSketch(partCompDef,"Skizze_42",-10.31,3.275,6.7,-10.31,2.275,6.7,-10.31,3.275,7.7)
feat90.SketchCircles.AddByCenterRadius convertToSketchSpace(feat90,-10.31,3.275,6.7),0.5
feat90.Profiles.AddForSolid
Set CreateSketch1_90=feat90
End Function

Private Function CreateSketch1_92(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_43",sketchNormal
set feat92=createSketch(partCompDef,"Skizze_43",-8.2,-7,0,-7.2,-7,0,-8.2,-7,1)
feat92.SketchCircles.AddByCenterRadius convertToSketchSpace(feat92,-5.7,-7,6.7),0.6
feat92.Profiles.AddForSolid
Set CreateSketch1_92=feat92
End Function

Private Function CreateSketch1_94(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_44",sketchNormal
set feat94=createSketch(partCompDef,"Skizze_44",-8.2,7,0,-8.2,7,1,-7.2,7,0)
feat94.SketchCircles.AddByCenterRadius convertToSketchSpace(feat94,-5.7,7,6.7),0.6
feat94.Profiles.AddForSolid
Set CreateSketch1_94=feat94
End Function

Private Function CreateSketch1_96(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_45",sketchNormal
set feat96=createSketch(partCompDef,"Skizze_45",-5.7,6.9,6.7,-5.7,6.9,7.7,-4.7,6.9,6.7)
set lastPoint=AddSketchArc(feat96,-5.7,6.9,6.2527864045,-5.7493325161544,6.9,6.2027908600454,-5.7999836379696,6.9,6.2514515167947,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat96,-5.7999836379696,6.9,6.2514515167947,-5.8002468733157,6.9,6.2613081213535,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat96,-5.8002468733157,6.9,6.2613081213535,-5.8154753757557,6.9,6.3023205094705,-5.85,6.9,6.3291900756452,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat96,-5.85,6.9,6.3291900756452,-5.7225298584533,6.9,7.0993650028208,-5.5092465761074,6.9,6.3484134085702,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat96,-5.5092465761074,6.9,6.3484134085702,-5.5423532295975,6.9,6.3144607949149,-5.5504214964719,6.9,6.2677303597889,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat96,-5.5504214964719,6.9,6.2677303597889,-5.5925665121764,6.9,6.2118074355667,-5.6492917967881,6.9,6.2528661518885,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat96,-5.6492917967881,6.9,6.2528661518885,-5.6492917967881,6.9,6.3536927980434,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat96,-5.6492917967881,6.9,6.3536927980434,-5.725421244218,6.9,7.0490755796993,-5.7,6.9,6.35,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat96,-5.7,6.9,6.35,-5.7,6.9,6.2527864045,firstPoint,lastPoint,2)
feat96.SketchCircles.AddByCenterRadius convertToSketchSpace(feat96,-5.6,6.9,6.2612517806304),0.03
feat96.SketchCircles.AddByCenterRadius convertToSketchSpace(feat96,-5.75,6.9,6.2527864045),0.03
feat96.Profiles.AddForSolid
Set CreateSketch1_96=feat96
End Function

Private Function CreateSketch1_98(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_46",sketchNormal
set feat98=createSketch(partCompDef,"Skizze_46",-5.7,6.9,6.7,-5.7,6.9,7.7,-4.7,6.9,6.7)
feat98.SketchCircles.AddByCenterRadius convertToSketchSpace(feat98,-5.7,6.9,6.7),0.35
feat98.Profiles.AddForSolid
Set CreateSketch1_98=feat98
End Function

Private Function CreateSketch1_100(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_47",sketchNormal
set feat100=createSketch(partCompDef,"Skizze_47",-5.7,-6.9,6.7,-4.7,-6.9,6.7,-5.7,-6.9,7.7)
set lastPoint=AddSketchArc(feat100,-6.1472135955,-6.9,6.7,-6.1972091399546,-6.9,6.6506674838456,-6.1485484832053,-6.9,6.6000163620304,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat100,-6.1485484832053,-6.9,6.6000163620304,-6.1386918786465,-6.9,6.5997531266843,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat100,-6.1386918786465,-6.9,6.5997531266843,-6.0976794905295,-6.9,6.5845246242443,-6.0708099243548,-6.9,6.55,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat100,-6.0708099243548,-6.9,6.55,-5.3006349971792,-6.9,6.6774701415467,-6.0515865914299,-6.9,6.8907534238926,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat100,-6.0515865914299,-6.9,6.8907534238926,-6.0855392050851,-6.9,6.8576467704025,-6.1322696402111,-6.9,6.8495785035281,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat100,-6.1322696402111,-6.9,6.8495785035281,-6.1881925644333,-6.9,6.8074334878236,-6.1471338481115,-6.9,6.7507082032119,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat100,-6.1471338481115,-6.9,6.7507082032119,-6.0463072019566,-6.9,6.7507082032119,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat100,-6.0463072019566,-6.9,6.7507082032119,-5.3509244203007,-6.9,6.674578755782,-6.05,-6.9,6.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat100,-6.05,-6.9,6.7,-6.1472135955,-6.9,6.7,firstPoint,lastPoint,2)
feat100.SketchCircles.AddByCenterRadius convertToSketchSpace(feat100,-6.1387482193696,-6.9,6.8),0.03
feat100.SketchCircles.AddByCenterRadius convertToSketchSpace(feat100,-6.1472135955,-6.9,6.65),0.03
feat100.Profiles.AddForSolid
Set CreateSketch1_100=feat100
End Function

Private Function CreateSketch1_102(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_48",sketchNormal
set feat102=createSketch(partCompDef,"Skizze_48",-5.7,-6.9,6.7,-4.7,-6.9,6.7,-5.7,-6.9,7.7)
feat102.SketchCircles.AddByCenterRadius convertToSketchSpace(feat102,-5.7,-6.9,6.7),0.35
feat102.Profiles.AddForSolid
Set CreateSketch1_102=feat102
End Function

Private Sub getLocalOptions()
storePath = InputBox("Enter Path (e.g. c:\cadfiles\ )")
l=len(storePath)
if l<>0 then
  lastChar=mid(storePath,l,1)
  if lastChar<>"\" then
    storePath=storePath & "\"
  end if
end if
end sub
Private Function convertToSketchSpace(sketch, pointX, pointY, pointZ)
Dim myPoint As Point
Set myPoint = irx.CreatePoint(pointX, pointY, pointZ)
Set convertToSketchSpace = sketch.ModelToSketchSpace(myPoint)
End Function
Private Function createSketch(partCompDef As PartComponentDefinition, sketchName as String,tx, ty, tz, xx, xy, xz, yx, yy, yz)
Dim pk1, pk2, pk3 As point
Set pk1 = irx.CreatePoint(tx, ty, tz)
Set pk2 = irx.CreatePoint(xx, xy, xz)
Set pk3 = irx.CreatePoint(yx, yy, yz)
Dim wpk1, wpk2, wpk3 As WorkPoint 
Set wpk1 = partCompDef.WorkPoints.AddFixed(pk1)
Set wpk2 = partCompDef.WorkPoints.AddFixed(pk2)
Set wpk3 = partCompDef.WorkPoints.AddFixed(pk3)
wpk1.Visible=false
wpk2.Visible=false
wpk3.Visible=false
Dim createPlane As Workplane
Set createPlane = partCompDef.WorkPlanes.AddByThreePoints(wpk1, wpk2, wpk3, True)
Dim createAxis As WorkAxis
Set AxisVector = irx.CreateUnitVector(xx - tx, xy - ty, xz - tz)
Set createAxis = partCompDef.WorkAxes.AddFixed(pk1, AxisVector)
createAxis.visible=false
Dim sketch As object
Set sketch = partCompDef.Sketches.AddWithOrientation(createPlane, createAxis, False, True, wpk1, False)
sketch.visible=false
sketch.name=sketchName
If (invApp.SoftwareVersion.Major <= 6) Then
  createPlane.visible=false
end if
Set createSketch = sketch
end function
Private Sub ExtrudeSketch(partCompDef,sketch,dist,side As PartFeatureExtentDirectionEnum,op As PartFeatureOperationEnum,draft As String)
Dim planeNormal As UnitVector
Dim sketchNormal As UnitVector
Set planeNormal = sketch.PlanarEntityGeometry.Normal
Set sketchNormal = sketchDic.Item(sketch.name)
If (sketchNormal.IsEqualTo(planeNormal) = False) Then
If (side = kNegativeExtentDirection) Then
side = kPositiveExtentDirection
ElseIf (side = kPositiveExtentDirection) Then
side = kNegativeExtentDirection
End If
End If
Set extrudeFeat = partCompDef.Features.ExtrudeFeatures.AddByDistanceExtent(sketch.Profiles(1), dist, side, op, draft)
end sub
Private Sub RotateSketch(partCompDef,sketch,angle,side As PartFeatureExtentDirectionEnum,op As PartFeatureOperationEnum)
Dim planeNormal As UnitVector
Dim sketchNormal As UnitVector
Set planeNormal = sketch.PlanarEntityGeometry.Normal
Set sketchNormal = sketchDic.Item(sketch.name)
If (sketchNormal.IsEqualTo(planeNormal) = False) Then
If (side = kNegativeExtentDirection) Then
side = kPositiveExtentDirection
ElseIf (side = kPositiveExtentDirection) Then
side = kNegativeExtentDirection
End If
End If
set axis=sketch.SketchLines(1)
Set RotateFeat = partCompDef.Features.RevolveFeatures.AddByAngle(sketch.Profiles(1), axis, angle/180*PI, side, op)
end sub
Private Sub setPartColor(partDocument, red, green, blue, colorName)
Dim style As RenderStyle
Set style = partDocument.RenderStyles.Add(colorName)
style.SetAmbientColor red, green, blue
partDocument.ActiveRenderStyle = style
End Sub
Private Function AddSketchLine(ByVal sketch As PlanarSketch, startx As Double, starty As Double, startz As Double, endx As Double, endy As Double, endz As Double, firstPoint As SketchPoint, lastPoint As SketchPoint, pos As Integer)
Dim startPoint As SketchPoint
Dim endPoint As SketchPoint
If (pos = 1) Then
Set startPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, startx, starty, startz))
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set firstPoint = startPoint
ElseIf (pos = 2) Then
Set startPoint = lastPoint
Set endPoint = firstPoint
Else
Set startPoint = lastPoint
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set lastPoint = endPoint
End If
Set lines = sketch.SketchLines
lines.AddByTwoPoints startPoint, endPoint
Set AddSketchLine = endPoint
End Function
Private Function AddSketchArc(ByVal sketch As PlanarSketch, startx As Double, starty As Double, startz As Double, midx As Double, midy As Double, midz As Double, endx As Double, endy As Double, endz As Double, firstPoint As SketchPoint, lastPoint As SketchPoint, pos As Integer)
Dim startPoint As SketchPoint
Dim midPoint As SketchPoint
Dim endPoint As SketchPoint
Set midPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, midx, midy, midz))
If (pos = 1) Then
Set startPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, startx, starty, startz))
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set firstPoint = startPoint
ElseIf (pos = 2) Then
Set startPoint = lastPoint
Set endPoint = firstPoint
Else
Set startPoint = lastPoint
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set lastPoint = endPoint
End If
Set arcs = sketch.SketchArcs
arcs.AddByThreePoints startPoint,midPoint.Geometry,endPoint
Set AddSketchArc = endPoint
End Function
Private Sub CreatePart0
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN5600_A_12000_50_Working_slides_for_hydraulic_stamping_units_PL_1_SX_0.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch1_3(partCompDef)
ExtrudeSketch partCompDef,feat3,12.7,kPositiveExtentDirection,kJoinOperation,"0"
set feat6=CreateSketch1_6(partCompDef)
set feat7=CreateSketch1_7(partCompDef)
set feat8=CreateSketch1_8(partCompDef)
ExtrudeSketch partCompDef,feat8,0.8,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat6,2,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat7,2,kNegativeExtentDirection,kCutOperation,"0"
set feat12=CreateSketch1_12(partCompDef)
ExtrudeSketch partCompDef,feat12,0.01,kNegativeExtentDirection,kCutOperation,"0"
set feat14=CreateSketch1_14(partCompDef)
ExtrudeSketch partCompDef,feat14,0.01,kNegativeExtentDirection,kCutOperation,"0"
set feat16=CreateSketch1_16(partCompDef)
ExtrudeSketch partCompDef,feat16,0.01,kNegativeExtentDirection,kCutOperation,"0"
set feat18=CreateSketch1_18(partCompDef)
set feat19=CreateSketch1_19(partCompDef)
ExtrudeSketch partCompDef,feat19,0.02,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat18,0.02,kNegativeExtentDirection,kCutOperation,"0"
set feat22=CreateSketch1_22(partCompDef)
set feat23=CreateSketch1_23(partCompDef)
ExtrudeSketch partCompDef,feat22,0.18,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat23,0.18,kNegativeExtentDirection,kCutOperation,"0"
set feat27=CreateSketch1_27(partCompDef)
ExtrudeSketch partCompDef,feat27,10.7,kPositiveExtentDirection,kJoinOperation,"0"
set feat29=CreateSketch1_29(partCompDef)
set feat30=CreateSketch1_30(partCompDef)
set feat31=CreateSketch1_31(partCompDef)
set feat32=CreateSketch1_32(partCompDef)
ExtrudeSketch partCompDef,feat29,10.7,kPositiveExtentDirection,kJoinOperation,"0"
ExtrudeSketch partCompDef,feat30,10.7,kPositiveExtentDirection,kJoinOperation,"0"
ExtrudeSketch partCompDef,feat31,10.7,kPositiveExtentDirection,kJoinOperation,"0"
ExtrudeSketch partCompDef,feat32,10.7,kPositiveExtentDirection,kJoinOperation,"0"
set feat38=CreateSketch1_38(partCompDef)
ExtrudeSketch partCompDef,feat38,2,kPositiveExtentDirection,kJoinOperation,"0"
set feat40=CreateSketch1_40(partCompDef)
ExtrudeSketch partCompDef,feat40,1.6,kNegativeExtentDirection,kCutOperation,"0"
set feat43=CreateSketch1_43(partCompDef)
ExtrudeSketch partCompDef,feat43,1.6,kPositiveExtentDirection,kJoinOperation,"0"
set feat45=CreateSketch1_45(partCompDef)
ExtrudeSketch partCompDef,feat45,1.6,kPositiveExtentDirection,kJoinOperation,"0"
set feat47=CreateSketch1_47(partCompDef)
ExtrudeSketch partCompDef,feat47,1.6,kPositiveExtentDirection,kJoinOperation,"0"
set feat49=CreateSketch1_49(partCompDef)
ExtrudeSketch partCompDef,feat49,1.6,kPositiveExtentDirection,kJoinOperation,"0"
set feat51=CreateSketch1_51(partCompDef)
ExtrudeSketch partCompDef,feat51,1.4,kNegativeExtentDirection,kCutOperation,"0"
set feat53=CreateSketch1_53(partCompDef)
ExtrudeSketch partCompDef,feat53,1.4,kNegativeExtentDirection,kCutOperation,"0"
set feat55=CreateSketch1_55(partCompDef)
ExtrudeSketch partCompDef,feat55,1.4,kNegativeExtentDirection,kCutOperation,"0"
set feat57=CreateSketch1_57(partCompDef)
ExtrudeSketch partCompDef,feat57,1.4,kNegativeExtentDirection,kCutOperation,"0"
set feat59=CreateSketch1_59(partCompDef)
ExtrudeSketch partCompDef,feat59,1,kNegativeExtentDirection,kCutOperation,"0"
set feat61=CreateSketch1_61(partCompDef)
ExtrudeSketch partCompDef,feat61,1.01,kPositiveExtentDirection,kJoinOperation,"0"
set feat63=CreateSketch1_63(partCompDef)
ExtrudeSketch partCompDef,feat63,2.7,kPositiveExtentDirection,kJoinOperation,"0"
set feat66=CreateSketch1_66(partCompDef)
ExtrudeSketch partCompDef,feat66,0.2,kPositiveExtentDirection,kJoinOperation,"0"
set feat68=CreateSketch1_68(partCompDef)
ExtrudeSketch partCompDef,feat68,0.05,kNegativeExtentDirection,kCutOperation,"0"
set feat70=CreateSketch1_70(partCompDef)
ExtrudeSketch partCompDef,feat70,0.1,kNegativeExtentDirection,kCutOperation,"0"
set feat72=CreateSketch1_72(partCompDef)
ExtrudeSketch partCompDef,feat72,0.05,kNegativeExtentDirection,kCutOperation,"0"
set feat74=CreateSketch1_74(partCompDef)
set feat75=CreateSketch1_75(partCompDef)
set feat76=CreateSketch1_76(partCompDef)
set feat77=CreateSketch1_77(partCompDef)
set feat78=CreateSketch1_78(partCompDef)
ExtrudeSketch partCompDef,feat78,0.05,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat74,0.02,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat75,0.02,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat76,0.6,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat77,0.6,kNegativeExtentDirection,kCutOperation,"0"
set feat84=CreateSketch1_84(partCompDef)
ExtrudeSketch partCompDef,feat84,0.4,kNegativeExtentDirection,kCutOperation,"0"
set feat86=CreateSketch1_86(partCompDef)
ExtrudeSketch partCompDef,feat86,0.4,kNegativeExtentDirection,kCutOperation,"0"
set feat88=CreateSketch1_88(partCompDef)
ExtrudeSketch partCompDef,feat88,0.8,kNegativeExtentDirection,kCutOperation,"0"
set feat90=CreateSketch1_90(partCompDef)
ExtrudeSketch partCompDef,feat90,0.8,kNegativeExtentDirection,kCutOperation,"0"
set feat92=CreateSketch1_92(partCompDef)
ExtrudeSketch partCompDef,feat92,0.1,kNegativeExtentDirection,kCutOperation,"0"
set feat94=CreateSketch1_94(partCompDef)
ExtrudeSketch partCompDef,feat94,0.1,kNegativeExtentDirection,kCutOperation,"0"
set feat96=CreateSketch1_96(partCompDef)
ExtrudeSketch partCompDef,feat96,0.05,kPositiveExtentDirection,kJoinOperation,"0"
set feat98=CreateSketch1_98(partCompDef)
ExtrudeSketch partCompDef,feat98,0.1,kPositiveExtentDirection,kJoinOperation,"0"
set feat100=CreateSketch1_100(partCompDef)
ExtrudeSketch partCompDef,feat100,0.05,kPositiveExtentDirection,kJoinOperation,"0"
set feat102=CreateSketch1_102(partCompDef)
ExtrudeSketch partCompDef,feat102,0.1,kPositiveExtentDirection,kJoinOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-A-12000-50 Working slides for hydraulic stamping units PL=1 SX=0"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-A-12000-50 Working slides for hydraulic stamping units PL=1 SX=0"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-A-12000-50 Working slides for hydraulic stamping units PL=1 SX=0"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-A-12000-50 Working slides for hydraulic stamping units PL=1 SX=0"
end if
setPartColor partDocument,178,178,178,"RGB(178,178,178)"
partDocument.SaveAs  storePath & "SN5600_A_12000_50_Working_slides_for_hydraulic_stamping_units_PL_1_SX_0.ipt",false
partdocument.Close
End Sub
sub CreateInventorDocument
set invApp=GetObject(,"Inventor.Application")
set irx = invApp.TransientGeometry
PI=3.141592653589793238462643383279
Set sketchDic = CreateObject("Scripting.Dictionary")
getLocalOptions
createPart0
invApp.Documents.Open storePath & "SN5600_A_12000_50_Working_slides_for_hydraulic_stamping_units_PL_1_SX_0.ipt"
end sub
