dim invApp as Application
dim irx as TransientGeometry
dim storePath
Dim PI
dim sketchDic as object

Private Function CreateSketch1_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_1",sketchNormal
set feat3=createSketch(partCompDef,"Skizze_1",0,0,0,1,0,0,0,1,0)
set lastPoint=AddSketchLine(feat3,-16,7,0,-16,-7,0,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat3,-16,-7,0,16,-7,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,16,-7,0,16,7,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,16,7,0,-16,7,0,firstPoint,lastPoint,2)
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,14.7,5.75,0),0.625
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,14.7,-5.75,0),0.625
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,-14.7,-5.75,0),0.625
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,-14.7,5.75,0),0.625
feat3.Profiles.AddForSolid
Set CreateSketch1_3=feat3
End Function

Private Function CreateSketch1_5(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_2",sketchNormal
set feat5=createSketch(partCompDef,"Skizze_2",-16,-7,7,-15,-7,7,-16,-6,7)
feat5.SketchCircles.AddByCenterRadius convertToSketchSpace(feat5,-14.7,5.75,7),0.9
feat5.Profiles.AddForSolid
Set CreateSketch1_5=feat5
End Function

Private Function CreateSketch1_7(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_3",sketchNormal
set feat7=createSketch(partCompDef,"Skizze_3",-16,-7,7,-15,-7,7,-16,-6,7)
feat7.SketchCircles.AddByCenterRadius convertToSketchSpace(feat7,-14.7,-5.75,7),0.9
feat7.Profiles.AddForSolid
Set CreateSketch1_7=feat7
End Function

Private Function CreateSketch1_8(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_4",sketchNormal
set feat8=createSketch(partCompDef,"Skizze_4",-16,-7,7,-15,-7,7,-16,-6,7)
feat8.SketchCircles.AddByCenterRadius convertToSketchSpace(feat8,14.7,-5.75,7),0.9
feat8.Profiles.AddForSolid
Set CreateSketch1_8=feat8
End Function

Private Function CreateSketch1_9(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_5",sketchNormal
set feat9=createSketch(partCompDef,"Skizze_5",-16,-7,7,-15,-7,7,-16,-6,7)
feat9.SketchCircles.AddByCenterRadius convertToSketchSpace(feat9,14.7,5.75,7),0.9
feat9.Profiles.AddForSolid
Set CreateSketch1_9=feat9
End Function

Private Function CreateSketch1_13(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_6",sketchNormal
set feat13=createSketch(partCompDef,"Skizze_6",-16,-7,7,-15,-7,7,-16,-6,7)
feat13.SketchCircles.AddByCenterRadius convertToSketchSpace(feat13,-7.25,0,7),5.975
feat13.Profiles.AddForSolid
Set CreateSketch1_13=feat13
End Function

Private Function CreateSketch1_14(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_7",sketchNormal
set feat14=createSketch(partCompDef,"Skizze_7",-16,-7,7,-15,-7,7,-16,-6,7)
feat14.SketchCircles.AddByCenterRadius convertToSketchSpace(feat14,7.25,0,7),5.975
feat14.Profiles.AddForSolid
Set CreateSketch1_14=feat14
End Function

Private Function CreateSketch1_18(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_9",sketchNormal
set feat18=createSketch(partCompDef,"Skizze_9",7.25,0,20.1,8.25,0,20.1,7.25,1,20.1)
feat18.SketchCircles.AddByCenterRadius convertToSketchSpace(feat18,7.25,0,20.1),3.5
feat18.Profiles.AddForSolid
Set CreateSketch1_18=feat18
End Function

Private Function CreateSketch1_20(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_10",sketchNormal
set feat20=createSketch(partCompDef,"Skizze_10",-7.25,0,26.6,-6.25,0,26.6,-7.25,1,26.6)
feat20.SketchCircles.AddByCenterRadius convertToSketchSpace(feat20,-7.25,0,26.6),5.175
feat20.Profiles.AddForSolid
Set CreateSketch1_20=feat20
End Function

Private Function CreateSketch1_22(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_11",sketchNormal
set feat22=createSketch(partCompDef,"Skizze_11",-7.25,0,26.6,-6.25,0,26.6,-7.25,1,26.6)
feat22.SketchCircles.AddByCenterRadius convertToSketchSpace(feat22,-7.25,0,26.6),4.975
feat22.Profiles.AddForSolid
Set CreateSketch1_22=feat22
End Function

Private Function CreateSketch1_24(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_12",sketchNormal
set feat24=createSketch(partCompDef,"Skizze_12",-7.25,0,26.6,-6.25,0,26.6,-7.25,1,26.6)
feat24.SketchCircles.AddByCenterRadius convertToSketchSpace(feat24,-7.25,0,26.6),0.3
feat24.Profiles.AddForSolid
Set CreateSketch1_24=feat24
End Function

Private Function CreateSketch1_26(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_13",sketchNormal
set feat26=createSketch(partCompDef,"Skizze_13",-7.25,0,26.6,-6.25,0,26.6,-7.25,1,26.6)
feat26.SketchCircles.AddByCenterRadius convertToSketchSpace(feat26,-7.25,0,26.6),6.575
set lastPoint=AddSketchArc(feat26,-13.324176898972,-0.1,26.6,-11.545673695708,-4.2956736957083,26.6,-7.35,-6.0741768989716,26.6,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat26,-7.35,-6.0741768989716,26.6,-7.35,-5.7741341342231,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat26,-7.35,-5.7741341342231,26.6,-7.25,-5.775,26.6,-7.15,-5.7741341342231,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat26,-7.15,-5.7741341342231,26.6,-7.15,-6.0741768989716,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat26,-7.15,-6.0741768989716,26.6,-2.9543263042917,-4.2956736957083,26.6,-1.1758231010284,-0.1,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat26,-1.1758231010284,-0.1,26.6,-1.4758658657769,-0.1,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat26,-1.4758658657769,-0.1,26.6,-1.475,-1.4144203386648e-015,26.6,-1.4758658657769,0.1,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat26,-1.4758658657769,0.1,26.6,-1.1758231010284,0.1,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat26,-1.1758231010284,0.1,26.6,-2.9543263042917,4.2956736957083,26.6,-7.15,6.0741768989716,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat26,-7.15,6.0741768989716,26.6,-7.15,5.7741341342231,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat26,-7.15,5.7741341342231,26.6,-7.25,5.775,26.6,-7.35,5.7741341342231,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat26,-7.35,5.7741341342231,26.6,-7.35,6.0741768989716,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat26,-7.35,6.0741768989716,26.6,-11.545673695708,4.2956736957083,26.6,-13.324176898972,0.1,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat26,-13.324176898972,0.1,26.6,-13.024134134223,0.1,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat26,-13.024134134223,0.1,26.6,-13.025,7.0721016933242e-016,26.6,-13.024134134223,-0.1,26.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat26,-13.024134134223,-0.1,26.6,-13.324176898972,-0.1,26.6,firstPoint,lastPoint,2)
feat26.Profiles.AddForSolid
Set CreateSketch1_26=feat26
End Function

Private Function CreateSketch2_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_1",sketchNormal
set feat3=createSketch(partCompDef,"Skizze_1",0,0,0,1,0,0,0,1,0)
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,0,0,0),3.5
feat3.Profiles.AddForSolid
Set CreateSketch2_3=feat3
End Function

Private Function CreateSketch2_5(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_3",sketchNormal
set feat5=createSketch(partCompDef,"Skizze_3",0,0,6.5,1,0,6.5,0,1,6.5)
feat5.SketchCircles.AddByCenterRadius convertToSketchSpace(feat5,0,0,6.5),0.3
feat5.Profiles.AddForSolid
Set CreateSketch2_5=feat5
End Function

Private Sub getLocalOptions()
storePath = InputBox("Enter Path (e.g. c:\cadfiles\ )")
l=len(storePath)
if l<>0 then
  lastChar=mid(storePath,l,1)
  if lastChar<>"\" then
    storePath=storePath & "\"
  end if
end if
end sub
Private Function convertToSketchSpace(sketch, pointX, pointY, pointZ)
Dim myPoint As Point
Set myPoint = irx.CreatePoint(pointX, pointY, pointZ)
Set convertToSketchSpace = sketch.ModelToSketchSpace(myPoint)
End Function
Private Function createSketch(partCompDef As PartComponentDefinition, sketchName as String,tx, ty, tz, xx, xy, xz, yx, yy, yz)
Dim pk1, pk2, pk3 As point
Set pk1 = irx.CreatePoint(tx, ty, tz)
Set pk2 = irx.CreatePoint(xx, xy, xz)
Set pk3 = irx.CreatePoint(yx, yy, yz)
Dim wpk1, wpk2, wpk3 As WorkPoint 
Set wpk1 = partCompDef.WorkPoints.AddFixed(pk1)
Set wpk2 = partCompDef.WorkPoints.AddFixed(pk2)
Set wpk3 = partCompDef.WorkPoints.AddFixed(pk3)
wpk1.Visible=false
wpk2.Visible=false
wpk3.Visible=false
Dim createPlane As Workplane
Set createPlane = partCompDef.WorkPlanes.AddByThreePoints(wpk1, wpk2, wpk3, True)
Dim createAxis As WorkAxis
Set AxisVector = irx.CreateUnitVector(xx - tx, xy - ty, xz - tz)
Set createAxis = partCompDef.WorkAxes.AddFixed(pk1, AxisVector)
createAxis.visible=false
Dim sketch As object
Set sketch = partCompDef.Sketches.AddWithOrientation(createPlane, createAxis, False, True, wpk1, False)
sketch.visible=false
sketch.name=sketchName
If (invApp.SoftwareVersion.Major <= 6) Then
  createPlane.visible=false
end if
Set createSketch = sketch
end function
Private Sub ExtrudeSketch(partCompDef,sketch,dist,side As PartFeatureExtentDirectionEnum,op As PartFeatureOperationEnum,draft As String)
Dim planeNormal As UnitVector
Dim sketchNormal As UnitVector
Set planeNormal = sketch.PlanarEntityGeometry.Normal
Set sketchNormal = sketchDic.Item(sketch.name)
If (sketchNormal.IsEqualTo(planeNormal) = False) Then
If (side = kNegativeExtentDirection) Then
side = kPositiveExtentDirection
ElseIf (side = kPositiveExtentDirection) Then
side = kNegativeExtentDirection
End If
End If
Set extrudeFeat = partCompDef.Features.ExtrudeFeatures.AddByDistanceExtent(sketch.Profiles(1), dist, side, op, draft)
end sub
Private Sub RotateSketch(partCompDef,sketch,angle,side As PartFeatureExtentDirectionEnum,op As PartFeatureOperationEnum)
Dim planeNormal As UnitVector
Dim sketchNormal As UnitVector
Set planeNormal = sketch.PlanarEntityGeometry.Normal
Set sketchNormal = sketchDic.Item(sketch.name)
If (sketchNormal.IsEqualTo(planeNormal) = False) Then
If (side = kNegativeExtentDirection) Then
side = kPositiveExtentDirection
ElseIf (side = kPositiveExtentDirection) Then
side = kNegativeExtentDirection
End If
End If
set axis=sketch.SketchLines(1)
Set RotateFeat = partCompDef.Features.RevolveFeatures.AddByAngle(sketch.Profiles(1), axis, angle/180*PI, side, op)
end sub
Private Sub setPartColor(partDocument, red, green, blue, colorName)
Dim style As RenderStyle
Set style = partDocument.RenderStyles.Add(colorName)
style.SetAmbientColor red, green, blue
partDocument.ActiveRenderStyle = style
End Sub
Private Function AddSketchLine(ByVal sketch As PlanarSketch, startx As Double, starty As Double, startz As Double, endx As Double, endy As Double, endz As Double, firstPoint As SketchPoint, lastPoint As SketchPoint, pos As Integer)
Dim startPoint As SketchPoint
Dim endPoint As SketchPoint
If (pos = 1) Then
Set startPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, startx, starty, startz))
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set firstPoint = startPoint
ElseIf (pos = 2) Then
Set startPoint = lastPoint
Set endPoint = firstPoint
Else
Set startPoint = lastPoint
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set lastPoint = endPoint
End If
Set lines = sketch.SketchLines
lines.AddByTwoPoints startPoint, endPoint
Set AddSketchLine = endPoint
End Function
Private Function AddSketchArc(ByVal sketch As PlanarSketch, startx As Double, starty As Double, startz As Double, midx As Double, midy As Double, midz As Double, endx As Double, endy As Double, endz As Double, firstPoint As SketchPoint, lastPoint As SketchPoint, pos As Integer)
Dim startPoint As SketchPoint
Dim midPoint As SketchPoint
Dim endPoint As SketchPoint
Set midPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, midx, midy, midz))
If (pos = 1) Then
Set startPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, startx, starty, startz))
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set firstPoint = startPoint
ElseIf (pos = 2) Then
Set startPoint = lastPoint
Set endPoint = firstPoint
Else
Set startPoint = lastPoint
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set lastPoint = endPoint
End If
Set arcs = sketch.SketchArcs
arcs.AddByThreePoints startPoint,midPoint.Geometry,endPoint
Set AddSketchArc = endPoint
End Function
Private Sub CreatePart0
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN5600_B_POS1_12000_50_Cylinder_body_HUBXL_0.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch1_3(partCompDef)
ExtrudeSketch partCompDef,feat3,7,kPositiveExtentDirection,kJoinOperation,"0"
set feat5=CreateSketch1_5(partCompDef)
ExtrudeSketch partCompDef,feat5,1.2,kNegativeExtentDirection,kCutOperation,"0"
set feat7=CreateSketch1_7(partCompDef)
set feat8=CreateSketch1_8(partCompDef)
set feat9=CreateSketch1_9(partCompDef)
ExtrudeSketch partCompDef,feat7,1.2,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat8,1.2,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat9,1.2,kNegativeExtentDirection,kCutOperation,"0"
set feat13=CreateSketch1_13(partCompDef)
set feat14=CreateSketch1_14(partCompDef)
ExtrudeSketch partCompDef,feat13,19.6,kPositiveExtentDirection,kJoinOperation,"0"
ExtrudeSketch partCompDef,feat14,13.1,kPositiveExtentDirection,kJoinOperation,"0"
set feat18=CreateSketch1_18(partCompDef)
ExtrudeSketch partCompDef,feat18,6.7,kNegativeExtentDirection,kCutOperation,"0"
set feat20=CreateSketch1_20(partCompDef)
ExtrudeSketch partCompDef,feat20,0.05,kNegativeExtentDirection,kCutOperation,"0"
set feat22=CreateSketch1_22(partCompDef)
ExtrudeSketch partCompDef,feat22,0.05,kNegativeExtentDirection,kJoinOperation,"0"
set feat24=CreateSketch1_24(partCompDef)
ExtrudeSketch partCompDef,feat24,0.5,kNegativeExtentDirection,kCutOperation,"0"
set feat26=CreateSketch1_26(partCompDef)
ExtrudeSketch partCompDef,feat26,0.5,kNegativeExtentDirection,kCutOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-B_POS1-12000-50 Cylinder body HUBXL=0"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-B_POS1-12000-50 Cylinder body HUBXL=0"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-B_POS1-12000-50 Cylinder body HUBXL=0"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-B_POS1-12000-50 Cylinder body HUBXL=0"
end if
setPartColor partDocument,0,255,255,"RGB(0,255,255)"
partDocument.SaveAs  storePath & "SN5600_B_POS1_12000_50_Cylinder_body_HUBXL_0.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart1
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN5600_B_POS2_12000_50_Piston_rod.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch2_3(partCompDef)
ExtrudeSketch partCompDef,feat3,6.5,kPositiveExtentDirection,kJoinOperation,"0"
set feat5=CreateSketch2_5(partCompDef)
ExtrudeSketch partCompDef,feat5,0.5,kNegativeExtentDirection,kCutOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-B_POS2-12000-50 Piston rod"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-B_POS2-12000-50 Piston rod"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-B_POS2-12000-50 Piston rod"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-B_POS2-12000-50 Piston rod"
end if
setPartColor partDocument,255,0,128,"RGB(255,0,128)"
partDocument.SaveAs  storePath & "SN5600_B_POS2_12000_50_Piston_rod.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart2
searchName=Dir(storePath & "SN5600_B_12000_50_Driving_unit_for_hydraulic_stamping_units_HUBXL_0.iam")
if searchName<>"" then
 exit sub
end if
createPart0
createPart1
set asmDocument=InvApp.Documents.Add(kAssemblyDocumentObject,"",true)
asmDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
asmDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim actOcc as ComponentOccurrence
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(0,0,0),irx.CreateVector(1,0,0),irx.CreateVector(0,1,0),irx.CreateVector(0,0,1)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN5600_B_POS1_12000_50_Cylinder_body_HUBXL_0.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(7.25,0,20.1),irx.CreateVector(1,0,0),irx.CreateVector(0,1,0),irx.CreateVector(0,0,1)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN5600_B_POS2_12000_50_Piston_rod.ipt",matrix)
actOcc.Grounded=True
If (invApp.SoftwareVersion.Major >= 6) Then
  asmDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-B-12000-50 Driving unit for hydraulic stamping units HUBXL=0"
  asmDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  asmDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-B-12000-50 Driving unit for hydraulic stamping units HUBXL=0"
else
  asmDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5600-B-12000-50 Driving unit for hydraulic stamping units HUBXL=0"
  asmDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5600-B-12000-50 Driving unit for hydraulic stamping units HUBXL=0"
end if
asmDocument.SaveAs storePath & "SN5600_B_12000_50_Driving_unit_for_hydraulic_stamping_units_HUBXL_0.iam",false
asmDocument.Close
end sub
sub CreateInventorDocument
set invApp=GetObject(,"Inventor.Application")
set irx = invApp.TransientGeometry
PI=3.141592653589793238462643383279
Set sketchDic = CreateObject("Scripting.Dictionary")
getLocalOptions
createPart2
invApp.Documents.Open storePath & "SN5600_B_12000_50_Driving_unit_for_hydraulic_stamping_units_HUBXL_0.iam"
end sub
